%define momorel 1
%define xinever 1.0-0.17.1m
# Note that this is NOT a relocatable package
Name:        xine-ui
Summary:     A Free Video Player.
Version:     0.99.1
Release:     %{momorel}m
License:     GPL
Group:       Applications/Multimedia
Source0:     http://telia.dl.sourceforge.net/sourceforge/xine/xine-ui-%{version}.tar.gz
URL:         http://www.xinehq.de/
Patch0:	     xine-ui-0.9.13-dfb-0.9.13.patch
BuildPreReq: xine-lib >= %{xinever}, aalib
Requires:    xine-lib >= %{xinever}
BuildRoot:   %{_tmppath}/%{name}-%{version}-root
NoSource: 0

%description
xine is a free gpl-licensed video player for unix-like systems.
We support mpeg-2 and mpeg-1 system (audio + video multiplexed) streams,
eventually mpeg-4 and other formats might be added.

xine plays the video and audio data of mpeg-2 videos and synchronizes
the playback of both. Depending on the properties of the mpeg stream,
playback will need more or less processor power, 100% frame rate
has been seen on a 400 MHz P II system.

%package aa
Summary:     XINE - Ascii Art player.
Group:       Applications/Multimedia
Requires:    xine-lib >= %{xinever}, xine-lib-aa

%description aa
Video player using Ascii Art library.

%prep
%setup -q -n xine-ui-%{version}
%patch0 -p1

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make transform='s,x,x,' DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README 
%{_bindir}/xine*
%{_bindir}/fbxine
%{_docdir}/*
%{_mandir}/man1/xine*
%{_mandir}/*/man1/xine*
%{_datadir}/locale/*/LC_MESSAGES/*
%{_datadir}/pixmaps/*
%{_datadir}/xine/desktop
%{_datadir}/xine/skins
%{_datadir}/xine/visuals

%files aa
%defattr(-,root,root)
%{_bindir}/aaxine
%{_mandir}/man1/aaxine.1*
%{_mandir}/*/man1/aaxine.1*

%changelog
* Sat Apr 24 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.99.1-1m)
- this release fixes some security issues

* Sat Jan  3 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (0.9.23-1m)
- update to 0.9.23

* Sat Dec 20 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (0.9.22-1m)
- update to 0.9.22

* Sun May 18 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.21-1m)

* Wed May 14 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.9.20-2m)
- rebuild against slang(utf8 version)
- use %%{?_smp_mflags} 

* Wed Mar 26 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.20-1m)
- minor bugfixes
- revise URL

* Mon Mar 10 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.9.19-1m)
  update to 0.9.19
  
* Mon Mar 10 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.9.18-3m)
  rebuild against openssl 0.9.7a

* Thu Feb 27 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (0.9.18-2m)
- modified BuildRequire

* Fri Jan 31 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.18-1m)

* Fri Sep  6 2002 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.9.13-2m)
  applied patch for DirectFB 0.9.13

* Sun Aug  4 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.13-1m)

* Wed Jul 17 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.12-2m)
- remove TO.Nonfree

* Sun Jun 30 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.8-2m)
- version down...

* Sat Jun 29 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.12-1m)
- aa (ASCII art) sub package :p

* Fri Mar  1 2002 Tsutomu Yasuda <tom@kondara.org>
- first release
